Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.web.pages.GroovyPageBinding

    public class GroovyPageBinding
    extends groovy.lang.Binding

Constructor Summary
`GroovyPageBinding()`
`GroovyPageBinding(java.util.Map variables)`
`GroovyPageBinding(String[] args)`
`GroovyPageBinding(java.lang.String pluginContextPath)`

Method Summary
`java.lang.String` | `getPluginContextPath()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`void` | `setPluginContextPath(java.lang.String pluginContextPath)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class groovy.lang.Binding

groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariables(), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageBinding

    public GroovyPageBinding()

### GroovyPageBinding

    @SuppressWarnings("rawtypes")
    public GroovyPageBinding(java.util.Map variables)

### GroovyPageBinding

    public GroovyPageBinding(String[] args)

### GroovyPageBinding

    public GroovyPageBinding(java.lang.String pluginContextPath)

Method Detail

### getPluginContextPath

    public java.lang.String getPluginContextPath()

### getProperty

    @Override
    public java.lang.Object getProperty(java.lang.String property)

### setPluginContextPath

    public void setPluginContextPath(java.lang.String pluginContextPath)

### setProperty

    @Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation